> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ixopay.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ixopay.ferndocs.com/_mcp/server.

# Retrieve a customer profile

POST https://gateway.ixopay.com/api/v3/customerProfiles/{apiKey}/getProfile
Content-Type: application/json

Reference: https://ixopay.ferndocs.com/developer-hub/api-reference/transaction-api/get-profile

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `apiKey` (string, required) — API Key of Connector

### Body (application/json)

This endpoint expects a GetProfileRequest.

- `profileGuid` (string, optional)
- `customerIdentification` (string, optional)

## Response

### 200

Retrieve a customer profile

- `success` (boolean, optional)
- `profileExists` (boolean, optional)
- `profileGuid` (string, optional)
- `customerIdentification` (string, optional)
- `preferredMethod` (string, optional)
- `customer` (ResponseCustomer, optional)
- `paymentInstruments` (list of GetProfileResponsePaymentInstrumentsItems, optional)

## Types

### ResponseCustomer

- `_TYPE` (string, optional)
- `billingAddress1` (string, optional)
- `billingAddress2` (string, optional)
- `billingCity` (string, optional)
- `billingCountry` (string, optional)
- `billingPhone` (string, optional)
- `billingPostcode` (string, optional)
- `billingState` (string, optional)
- `birthDate` (string, optional)
- `company` (string, optional)
- `email` (string, optional)
- `extraData` (map from string to string, optional)
- `firstName` (string, optional)
- `gender` (string, optional)
- `ipAddress` (string, optional)
- `lastName` (string, optional)
- `nationalId` (string, optional)

### GetProfileResponsePaymentInstrumentsItems

- `_TYPE` (string, optional)
- `createdAt` (string, optional)
- `method` (string, optional)
- `paymentData` (GetProfileResponsePaymentInstrumentsItemsPaymentData, optional)
- `paymentToken` (string, optional)
- `isPreferred` (boolean, optional)

### GetProfileResponsePaymentInstrumentsItemsPaymentData

- `_TYPE` (string, optional)
- `brand` (string, optional)
- `cardHolder` (string, optional)
- `expiryMonth` (string, optional)
- `expiryYear` (string, optional)
- `firstSixDigits` (string, optional)
- `lastFourDigits` (string, optional)

## Examples

### Successful profile retrieval

**Response**

```json
{
  "success": true,
  "profileExists": true,
  "profileGuid": "CP-0000-0000-0000-0000-0000-0000",
  "customerIdentification": "YOUR_CUSTOMER_ID",
  "preferredMethod": "Creditcard",
  "customer": {
    "_TYPE": "customerData",
    "billingAddress1": "Street",
    "billingAddress2": "Address",
    "billingCity": "Vienna",
    "billingCountry": "AT",
    "billingPhone": "123456789",
    "billingPostcode": "1010",
    "billingState": "Vienna",
    "birthDate": "1970-01-01",
    "company": "Company Name",
    "email": "john@example.com",
    "extraData": [],
    "firstName": "John",
    "gender": "M",
    "ipAddress": "127.0.0.1",
    "lastName": "Smith",
    "nationalId": "1234"
  },
  "paymentInstruments": [
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 12:52:27",
      "method": "card",
      "paymentData": {
        "_TYPE": "paymentData.card",
        "brand": "visa",
        "cardHolder": "John Smith",
        "expiryMonth": "4",
        "expiryYear": "2020",
        "firstSixDigits": "411111",
        "lastFourDigits": "1111"
      },
      "paymentToken": "pt::12345678901234567890",
      "isPreferred": true
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 13:02:22",
      "method": "iban",
      "paymentData": {
        "_TYPE": "paymentData.iban",
        "bic": null,
        "iban": "AT111111111111111111",
        "mandateDate": "2018-10-25 00:00:00",
        "mandateId": "123123"
      },
      "paymentToken": "pt::12345678901234567891",
      "isPreferred": false
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-28 12:00:25",
      "method": "wallet",
      "paymentData": {
        "_TYPE": "paymentData.wallet",
        "walletOwner": "someone@example.com",
        "walletOwnerCountryCode": "DE,",
        "walletOwnerFirstName": "Max,",
        "walletOwnerLastName": "Mustermann,",
        "walletReferenceId": "B-123456789012345",
        "walletRegistrationId": "reg157ra710N1D",
        "walletType": "paypal"
      },
      "paymentToken": "pt::12345678901234567892",
      "isPreferred": false
    }
  ]
}
```

**SDK Code**

```python Successful profile retrieval
import requests

url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Successful profile retrieval
const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful profile retrieval
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful profile retrieval
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java Successful profile retrieval
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php Successful profile retrieval
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Successful profile retrieval
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift Successful profile retrieval
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Profile not found

**Response**

```json
{
  "success": false,
  "profileExists": false,
  "paymentInstruments": []
}
```

**SDK Code**

```python Profile not found
import requests

url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

response = requests.post(url, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Profile not found
const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile';
const credentials = btoa("<username>:<password>");

const options = {method: 'POST', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profile not found
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profile not found
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")

response = http.request(request)
puts response.read_body
```

```java Profile not found
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")
  .basicAuth("<username>", "<password>")
  .asString();
```

```php Profile not found
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile', [
  'headers' => [
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Profile not found
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

IRestResponse response = client.Execute(request);
```

```swift Profile not found
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = ["Authorization": "Basic \(credentials)"]

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example profileGuid

**Request**

```json
{
  "profileGuid": "CP-0000-0000-0000-0000-0000-0000"
}
```

**Response**

```json
{
  "success": true,
  "profileExists": true,
  "profileGuid": "CP-0000-0000-0000-0000-0000-0000",
  "customerIdentification": "YOUR_CUSTOMER_ID",
  "preferredMethod": "Creditcard",
  "customer": {
    "_TYPE": "customerData",
    "billingAddress1": "Street",
    "billingAddress2": "Address",
    "billingCity": "Vienna",
    "billingCountry": "AT",
    "billingPhone": "123456789",
    "billingPostcode": "1010",
    "billingState": "Vienna",
    "birthDate": "1970-01-01",
    "company": "Company Name",
    "email": "john@example.com",
    "extraData": [],
    "firstName": "John",
    "gender": "M",
    "ipAddress": "127.0.0.1",
    "lastName": "Smith",
    "nationalId": "1234"
  },
  "paymentInstruments": [
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 12:52:27",
      "method": "card",
      "paymentData": {
        "_TYPE": "paymentData.card",
        "brand": "visa",
        "cardHolder": "John Smith",
        "expiryMonth": "4",
        "expiryYear": "2020",
        "firstSixDigits": "411111",
        "lastFourDigits": "1111"
      },
      "paymentToken": "pt::12345678901234567890",
      "isPreferred": true
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 13:02:22",
      "method": "iban",
      "paymentData": {
        "_TYPE": "paymentData.iban",
        "bic": null,
        "iban": "AT111111111111111111",
        "mandateDate": "2018-10-25 00:00:00",
        "mandateId": "123123"
      },
      "paymentToken": "pt::12345678901234567891",
      "isPreferred": false
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-28 12:00:25",
      "method": "wallet",
      "paymentData": {
        "_TYPE": "paymentData.wallet",
        "walletOwner": "someone@example.com",
        "walletOwnerCountryCode": "DE,",
        "walletOwnerFirstName": "Max,",
        "walletOwnerLastName": "Mustermann,",
        "walletReferenceId": "B-123456789012345",
        "walletRegistrationId": "reg157ra710N1D",
        "walletType": "paypal"
      },
      "paymentToken": "pt::12345678901234567892",
      "isPreferred": false
    }
  ]
}
```

**SDK Code**

```python Example profileGuid
import requests

url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

payload = { "profileGuid": "CP-0000-0000-0000-0000-0000-0000" }
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example profileGuid
const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"profileGuid":"CP-0000-0000-0000-0000-0000-0000"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example profileGuid
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

	payload := strings.NewReader("{\n  \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example profileGuid
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example profileGuid
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}")
  .asString();
```

```php Example profileGuid
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile', [
  'body' => '{
  "profileGuid": "CP-0000-0000-0000-0000-0000-0000"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example profileGuid
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"profileGuid\": \"CP-0000-0000-0000-0000-0000-0000\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example profileGuid
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = ["profileGuid": "CP-0000-0000-0000-0000-0000-0000"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Example customerIdentification

**Request**

```json
{
  "customerIdentification": "YOUR_CUSTOMER_ID"
}
```

**Response**

```json
{
  "success": true,
  "profileExists": true,
  "profileGuid": "CP-0000-0000-0000-0000-0000-0000",
  "customerIdentification": "YOUR_CUSTOMER_ID",
  "preferredMethod": "Creditcard",
  "customer": {
    "_TYPE": "customerData",
    "billingAddress1": "Street",
    "billingAddress2": "Address",
    "billingCity": "Vienna",
    "billingCountry": "AT",
    "billingPhone": "123456789",
    "billingPostcode": "1010",
    "billingState": "Vienna",
    "birthDate": "1970-01-01",
    "company": "Company Name",
    "email": "john@example.com",
    "extraData": [],
    "firstName": "John",
    "gender": "M",
    "ipAddress": "127.0.0.1",
    "lastName": "Smith",
    "nationalId": "1234"
  },
  "paymentInstruments": [
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 12:52:27",
      "method": "card",
      "paymentData": {
        "_TYPE": "paymentData.card",
        "brand": "visa",
        "cardHolder": "John Smith",
        "expiryMonth": "4",
        "expiryYear": "2020",
        "firstSixDigits": "411111",
        "lastFourDigits": "1111"
      },
      "paymentToken": "pt::12345678901234567890",
      "isPreferred": true
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-25 13:02:22",
      "method": "iban",
      "paymentData": {
        "_TYPE": "paymentData.iban",
        "bic": null,
        "iban": "AT111111111111111111",
        "mandateDate": "2018-10-25 00:00:00",
        "mandateId": "123123"
      },
      "paymentToken": "pt::12345678901234567891",
      "isPreferred": false
    },
    {
      "_TYPE": "paymentInstrument",
      "createdAt": "2018-10-28 12:00:25",
      "method": "wallet",
      "paymentData": {
        "_TYPE": "paymentData.wallet",
        "walletOwner": "someone@example.com",
        "walletOwnerCountryCode": "DE,",
        "walletOwnerFirstName": "Max,",
        "walletOwnerLastName": "Mustermann,",
        "walletReferenceId": "B-123456789012345",
        "walletRegistrationId": "reg157ra710N1D",
        "walletType": "paypal"
      },
      "paymentToken": "pt::12345678901234567892",
      "isPreferred": false
    }
  ]
}
```

**SDK Code**

```python Example customerIdentification
import requests

url = "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

payload = { "customerIdentification": "YOUR_CUSTOMER_ID" }
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example customerIdentification
const url = 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{"customerIdentification":"YOUR_CUSTOMER_ID"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example customerIdentification
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile"

	payload := strings.NewReader("{\n  \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example customerIdentification
require 'uri'
require 'net/http'

url = URI("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}"

response = http.request(request)
puts response.read_body
```

```java Example customerIdentification
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{\n  \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}")
  .asString();
```

```php Example customerIdentification
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile', [
  'body' => '{
  "customerIdentification": "YOUR_CUSTOMER_ID"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example customerIdentification
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"customerIdentification\": \"YOUR_CUSTOMER_ID\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example customerIdentification
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = ["customerIdentification": "YOUR_CUSTOMER_ID"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://gateway.ixopay.com/api/v3/customerProfiles/apiKey/getProfile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```